#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    string broj1,broj2,novi_broj;
    cin >> broj1;
    cin >> broj2;
    int duzina1,duzina2;
    duzina1 = broj1.length();
    duzina2 = broj2.length();
    string br1, br2;
    int n = duzina1;
    if (duzina1 > duzina2){
        for (int i = 0; i < duzina1 - duzina2 ; i++){
            br2.push_back('0');
        }
    }
    br2 = br2 + broj2;

    if (duzina1 < duzina2){
        for (int i = 0; i < duzina2 - duzina1 ; i++){
            br1.push_back('0');
        }
        n = duzina2;
    }
    br1 = br1 + broj1;

    for(int i =0;i<n;i++){
        if(br1[i] > br2[i]){
            novi_broj.push_back(br1[i]);
        }
        if(br2[i] > br1[i]){
            novi_broj.push_back(br2[i]);
        }
        if(br1[i] == br2[i]){
            novi_broj.push_back(br1[i]);
            novi_broj.push_back(br1[i]);
        }
    }

    cout << novi_broj;
    return 0;
}